import { request } from './index.js'

// 司机工会服务分类 -- 字典
export function getDictDataByType(params = {}) {
	return request({
		url: '/app-api/system/dict-data/type',
		method: 'GET',
        data: params,
	})
}

// 获得工会商店分页
export function getGuildStorePage(params = {}) {
	return request({
		url: '/app-api/member/labor-union-shop/page',
		method: 'GET',
		data: params,
	})
}


// 获得工会商店详情
export function getGuildStoreDetail(id) {
	return request({
		url: `/app-api/member/labor-union-shop/get`,
		method: 'GET',
		data: {
			id: id,
		},
	})
}

// 获得工会优惠券
export function getGuildCoupon(params = {}) {
	return request({
		url: '/app-api/member/labor-union-coupon/page',
		method: 'GET',
		data: params,
	})
}